<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateCutoffScoreTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('cutoff_score', function (Blueprint $table) {
            $table->increments('id')->comment('ID');
            $table->integer('year')->comment('年份');
            $table->string('province',64)->comment('省份');
            $table->double('batch_before')->comment('提前批');
            $table->double('batch_one')->comment('本科一批');
            $table->double('batch_two')->comment('本科二批');
            $table->double('batch_three')->comment('本科三批');
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('cutoff_score');
    }
}
